<?php
/**
 * @package    AqurateAi_Recommendations
 * @copyright  Copyright (c) 2023 Clever++
 * @author     Clever++ <office@cleverplusplus.com>
 */

declare(strict_types=1);

namespace AqurateAi\Recommendations\Api\Data;

interface CrossSellInterface
{

    const RELATED_IDS = 'related_ids';
    const UPDATED_AT = 'updated_at';
    const PRODUCT_ID = 'product_id';
    const MANUAL = 'manual';
    const ENTITY_ID = 'entity_id';

    /**
     * Get entity_id
     * @return string|null
     */
    public function getEntityId();

    /**
     * Set entity_id
     * @param string $entityId
     * @return \AqurateAi\Recommendations\CrossSell\Api\Data\CrossSellInterface
     */
    public function setEntityId($entityId);

    /**
     * Get product_id
     * @return string|null
     */
    public function getProductId();

    /**
     * Set product_id
     * @param string $productId
     * @return \AqurateAi\Recommendations\CrossSell\Api\Data\CrossSellInterface
     */
    public function setProductId($productId);

    /**
     * Get related_ids
     * @return string|null
     */
    public function getRelatedIds();

    /**
     * Set related_ids
     * @param string $relatedIds
     * @return \AqurateAi\Recommendations\CrossSell\Api\Data\CrossSellInterface
     */
    public function setRelatedIds($relatedIds);

    /**
     * Get updated_at
     * @return string|null
     */
    public function getUpdatedAt();

    /**
     * Set updated_at
     * @param string $updatedAt
     * @return \AqurateAi\Recommendations\CrossSell\Api\Data\CrossSellInterface
     */
    public function setUpdatedAt($updatedAt);

    /**
     * Get manual
     * @return string|null
     */
    public function getManual();

    /**
     * Set manual
     * @param string $manual
     * @return \AqurateAi\Recommendations\CrossSell\Api\Data\CrossSellInterface
     */
    public function setManual($manual);
}

