<?php
/**
 * @package    AqurateAi_Recommendations
 * @copyright  Copyright (c) 2023 Clever++
 * @author     Clever++ <office@cleverplusplus.com>
 */

declare(strict_types=1);

namespace AqurateAi\Recommendations\Console\Command;

use AqurateAi\Recommendations\Model\DataProcessor;
use Symfony\Component\Console\Command\Command;
use Symfony\Component\Console\Input\InputInterface;
use Symfony\Component\Console\Output\OutputInterface;

class Substitutes extends Command
{

    /**
     * @var DataProcessor
     */
    protected $dataProcessor;

    /**
     * @param DataProcessor $dataProcessor
     * @param string|null   $name
     */
    public function __construct(
        DataProcessor $dataProcessor,
        string        $name = null
    ) {
        $this->dataProcessor = $dataProcessor;
        parent::__construct($name);
    }

    /**
     * {@inheritdoc}
     */
    protected function execute(
        InputInterface  $input,
        OutputInterface $output
    ) {
        $this->dataProcessor->ingestRecommendations(\AqurateAi\Recommendations\Model\DataProcessor::TYPE_SUBSTITUTES);
    }

    /**
     * {@inheritdoc}
     */
    protected function configure()
    {
        $this->setName("aqurateai_recommendations:substitutes");
        $this->setDescription("Ingest Substitutes products");

        parent::configure();
    }
}
