<?php
/**
 * @package    AqurateAi_Recommendations
 * @copyright  Copyright (c) 2023 Clever++
 * @author     Clever++ <office@cleverplusplus.com>
 */

declare(strict_types=1);

namespace AqurateAi\Recommendations\Controller\Adminhtml\Createintegration;

use Magento\Framework\App\Action\HttpGetActionInterface;
use Magento\Framework\Controller\ResultInterface;
use Magento\Framework\Controller\Result\RedirectFactory;
use AqurateAi\Recommendations\Helper\CronConfig as Helper;

class Index implements HttpGetActionInterface
{
    /**
     * @var RedirectFactory
     */
    protected $redirectFactory;

    /**
     * @var Helper
     */
    protected $helper;

    /**
     * @param RedirectFactory $redirectFactory
     * @param Helper          $helper
     */
    public function __construct(
        RedirectFactory $redirectFactory,
        Helper $helper
    ) {
        $this->redirectFactory = $redirectFactory;
        $this->helper = $helper;
    }

    /**
     * @return \Magento\Framework\App\ResponseInterface|\Magento\Framework\Controller\Result\Redirect|ResultInterface
     */
    public function execute()
    {
        $this->helper->createIntegration();
        $resultRedirect = $this->redirectFactory->create();
        $resultRedirect->setPath('adminhtml/system_config/edit/section/recommendations');

        return $resultRedirect;

    }
}
