<?php
/**
 * @package    AqurateAi_Recommendations
 * @copyright  Copyright (c) 2023 Clever++
 * @author     Clever++ <office@cleverplusplus.com>
 */

namespace AqurateAi\Recommendations\Controller\Product;

use Magento\Framework\App\Action\Context;
use Magento\Framework\App\Request\Http;
use Magento\Framework\View\Result\PageFactory;

class Productlist extends \Magento\Framework\App\Action\Action
{
    /**
     * @var PageFactory
     */
    protected $resultPageFactory;

    /**
     * @var Http
     */
    protected $request;

    /**
     * @param Context     $context
     * @param PageFactory $pageFactory
     * @param Http        $http
     */
    public function __construct(
        Context $context,
        PageFactory $pageFactory,
        Http $http
    ) {
        $this->resultPageFactory = $pageFactory;
        $this->request = $http;
        parent::__construct($context);
    }

    /**
     * @return \Magento\Framework\App\ResponseInterface|\Magento\Framework\Controller\ResultInterface|void
     */
    public function execute()
    {
        $type = $this->request->getParam('type');
        $pid = $this->request->getParam('pid');
        if (!$type || !$pid) {
            return null;
        }

        $template = 'AqurateAi_Recommendations::product/list/items.phtml';
        if ($type == 'cross-sell-cart') {
            $template = 'AqurateAi_Recommendations::cart/list/items.phtml';
        }

        $viewBlock = $this->resultPageFactory->create();
        $block     = $viewBlock->getLayout()
            ->createBlock('AqurateAi\Recommendations\Block\Product\ProductList\Items')
            ->setTemplate($template)
            ->setType($type)
            ->setPid($pid)
            ->toHtml();

        $this->getResponse()->setBody($block);
    }
}
