<?php
/**
 * @package    AqurateAi_Recommendations
 * @copyright  Copyright (c) 2023 Clever++
 * @author     Clever++ <office@cleverplusplus.com>
 */

declare(strict_types=1);

namespace AqurateAi\Recommendations\Cron;

use Magento\Framework\Exception\LocalizedException;

class CrossSell
{
    /**
     * @var \AqurateAi\Recommendations\Model\DataProcessor
     */
    protected $dataProcessor;

    /**
     * @var \Psr\Log\LoggerInterface
     */
    protected $logger;

    /**
     * @var \AqurateAi\Recommendations\Helper\Data
     */
    protected $helper;

    /**
     * @param \Psr\Log\LoggerInterface                       $logger
     * @param \AqurateAi\Recommendations\Model\DataProcessor $dataProcessor
     * @param \AqurateAi\Recommendations\Helper\Data         $helper
     */
    public function __construct(
        \Psr\Log\LoggerInterface $logger,
        \AqurateAi\Recommendations\Model\DataProcessor $dataProcessor,
        \AqurateAi\Recommendations\Helper\Data $helper
    ) {
        $this->dataProcessor = $dataProcessor;
        $this->logger = $logger;
        $this->helper = $helper;
    }

    /**
     * Execute the cron
     *
     * @return void
     * @throws LocalizedException
     */
    public function execute()
    {
        if ($this->helper->isCrossSellsEnabled()) {

            $this->dataProcessor->ingestRecommendations(\AqurateAi\Recommendations\Model\DataProcessor::TYPE_CROSS_SELL);
            $this->logger->info("Cronjob Aqurate.ai CrossSell has been executed.");
        }
    }
}
