<?php
/**
 * @package    AqurateAi_Recommendations
 * @copyright  Copyright (c) 2023 Clever++
 * @author     Clever++ <office@cleverplusplus.com>
 */

declare(strict_types=1);

namespace AqurateAi\Recommendations\Model;

use AqurateAi\Recommendations\Api\Data\SubstitutesInterface;
use Magento\Framework\Model\AbstractModel;

class Substitutes extends AbstractModel implements SubstitutesInterface
{

    /**
     * @inheritDoc
     */
    public function _construct()
    {
        $this->_init(\AqurateAi\Recommendations\Model\ResourceModel\Substitutes::class);
    }

    /**
     * @inheritDoc
     */
    public function geEntityId()
    {
        return $this->getData(self::ENTITY_ID);
    }

    /**
     * @inheritDoc
     */
    public function setEntityId($entity_id)
    {
        return $this->setData(self::ENTITY_ID, $entity_id);
    }

    /**
     * @inheritDoc
     */
    public function getProductId()
    {
        return $this->getData(self::PRODUCT_ID);
    }

    /**
     * @inheritDoc
     */
    public function setProductId($productId)
    {
        return $this->setData(self::PRODUCT_ID, $productId);
    }

    /**
     * @inheritDoc
     */
    public function getRelatedIds()
    {
        return $this->getData(self::RELATED_IDS);
    }

    /**
     * @inheritDoc
     */
    public function setRelatedIds($relatedIds)
    {
        return $this->setData(self::RELATED_IDS, $relatedIds);
    }

    /**
     * @inheritDoc
     */
    public function getUpdatedAt()
    {
        return $this->getData(self::UPDATED_AT);
    }

    /**
     * @inheritDoc
     */
    public function setUpdatedAt($updatedAt)
    {
        return $this->setData(self::UPDATED_AT, $updatedAt);
    }

    /**
     * @inheritDoc
     */
    public function getManual()
    {
        return $this->getData(self::MANUAL);
    }

    /**
     * @inheritDoc
     */
    public function setManual($manual)
    {
        return $this->setData(self::MANUAL, $manual);
    }
}

